<div id="watchtower-container">
  <div class="cdpdetails">
    <app-cdp-detail *ngFor="let cdp of cdps | keyvalue" [cdp]="cdp.value"></app-cdp-detail>
  </div>
  <mat-card class="watch-tower">
    <mat-card-title>Historique</mat-card-title>
    <!-- <mat-card-title>Historique</mat-card-title> -->
    <mat-list>
      <mat-list-item>
        <b class="type">Type</b> &nbsp; <i class="username">Nom d'utilsateur</i>
        <code>Données</code>
      </mat-list-item>
      <div *ngFor="let event of logEvents">
        <mat-divider></mat-divider>
        <mat-list-item>
          <b class="type">{{event.type}}</b> &nbsp; <i class="username">{{event.user || ''}}</i>
          <pre>
          <code>
            {{event.data}}
          </code>
        </pre>
        </mat-list-item>
      </div>
    </mat-list>
  </mat-card>
</div>
